Attribute VB_Name = "Globals"
Option Explicit

Public Const modName As String = "Workbook Statistics"

Public wb As Workbook
Public fileNum As Long
Public fileName As String



'********* Enums added by SamT, 05/16/2017 ************
Enum PHPrintTabs
'Not planned for use At This Time
  phPrintTab0 = 0
  phPrintTab1 = 5
  phPrintTab2 = 10
  phPrintTab3 = 15
  phPrintTab4 = 20
  phPrintTab5 = 25
  phPrintTab6 = 30
  phPrintTab7 = 35
  phPrintTab8 = 40
  phPrintTab9 = 45
  phPrintTab10 = 50
  phPrintTab11 = 55
  phPrintTab12 = 60
  phPrintTab13 = 65
  phPrintTab15 = 70
End Enum

Enum PHCustomizeReportLayout
'These should be the only constants needed to edit to change the format of the report
  phSectionHeaderCol = 0
  phSectionHeaderOffset = 3
  phNotesOffset = 3
  phMaxSectionLabelLength = 16
  phMaxDataLabelLength = 16
  phDataLabelOffset = 3
  phMaxDataLength = 24
  phColumnBuffer = 3
End Enum

Enum PHReportSectionColumns
 'phSubSectionHeaderCol: See Enum PHCustomizeReportLayout
  phSubSectionHeaderCol = phSectionHeaderCol + phSectionHeaderOffset
  phSubSubSectionHeaderCol = phSubSectionHeaderCol + phSectionHeaderOffset
  
  phSectionNotesColumn = phSectionHeaderCol + phNotesOffset
  phSectionDataRowLabelColumn = phSectionHeaderCol + phDataLabelOffset
  phSectionDataColumn1Header = phSectionDataRowLabelColumn + phMaxDataLabelLength + phColumnBuffer
  phSectionDataColumn1 = phSectionDataRowLabelColumn + phMaxDataLabelLength + phColumnBuffer
  phSectionDataColumn2Header = phSectionDataColumn1 + phMaxDataLength + phColumnBuffer
  phSectionDataColumn2 = phSectionDataColumn1 + phMaxDataLength + phColumnBuffer
  phSectionDataColumn3Header = phSectionDataColumn2 + phMaxDataLength + phColumnBuffer
  phSectionDataColumn3 = phSectionDataColumn2 + phMaxDataLength + phColumnBuffer
End Enum

Enum PHReportSubSectionColumns
 'phSectionHeaderCol: See Enum PHCustomizeReportLayout
  phSubSectionNotesColumn = phSubSectionHeaderCol + phNotesOffset
  phSubSectionDataRowLabelColumn = phSubSectionHeaderCol + phDataLabelOffset
  phSubSectionDataColumn1Header = phSubSectionDataRowLabelColumn + phMaxDataLabelLength + phColumnBuffer
  phSubSectionDataColumn1 = phSubSectionDataRowLabelColumn + phMaxDataLabelLength + phColumnBuffer
  phSubSectionDataColumn2Header = phSubSectionDataColumn1 + phMaxDataLength + phColumnBuffer
  phSubSectionDataColumn2 = phSubSectionDataColumn1 + phMaxDataLength + phColumnBuffer
  'phSubSectionDataColumn3Header = phSubSectionDataColumn2 + phMaxDataLength + phColumnBuffer 'Overrun 80 Columns
  'phSubSectionDataColumn3 = phSubSectionDataColumn2 + phMaxDataLength + phColumnBuffer 'Overrun 80 Columns
End Enum

Enum PHReportSubSubSectionColumns
 'phSubSubSectionHeaderCol: See Enum PHCustomizeReportLayout
  phSubSubSectionNotesColumn = phSubSubSectionHeaderCol + phNotesOffset
  phSubSubSectionDataRowLabelColumn = phSubSubSectionHeaderCol + phDataLabelOffset
  phSubSubSectionDataColumn1Header = phSubSubSectionDataRowLabelColumn + phMaxDataLabelLength + phColumnBuffer
  phSubSubSectionDataColumn1 = phSubSubSectionDataRowLabelColumn + phMaxDataLabelLength + phColumnBuffer
  phSubSubSectionDataColumn2Header = phSubSubSectionDataColumn1 + phMaxDataLength + phColumnBuffer
  phSubSubSectionDataColumn2 = phSubSubSectionDataColumn1 + phMaxDataLength + phColumnBuffer
  'phSubSubSectionDataColumn3Header = phSubSubSectionDataColumn2 + phMaxDataLength + phColumnBuffer 'Overrun 80 Columns
  'phSubSubSectionDataColumn3 = phSubSubSectionDataColumn2 + phMaxDataLength + phColumnBuffer 'Overrun 80 Columns
End Enum

'The above Enums should easily allow a Report Formatting like
'
'Section Header
'   Section Notes
'   Data Label     Data #1              Data #2              Data #3
'
'   SubSection Header
'      SubSection Notes
'                  Column Label         Column Label         Column Label
'      Data Label  Data                 Data                 Data
'      Data Label  Data                 Data                 Data
'
'      SubSubSection Name/Header
'                    Column Label         Column Label         Column Label
'        Data Label  Data                 Data                 Data
'        Data Label  Data                 Data                 Data
'        Etc


Enum PHSectionSeparatorWidths
  phSectionSeparatorLineWidth = 40
  phSubSectionSeparatorLineWidth = 30
  phSubSubSectionSeparatorLineWidth = 20
End Enum

Enum PHContinuationLineLengths
  phDataLabelWidth = phMaxDataLabelLength
  phDataColumnWidth = phMaxDataLength + phColumnBuffer
  phDataDoubleColumnWidth = 2 * phDataColumnWidth
  'Example: {Print Rept(".", phDataColumnWidth)} to continue line across one data column
End Enum
  
  
'********* End Enums added by SamT, 05/16/2017 ************


